Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OS_NS_signal.h File Reference

`#include "ace/config-lite.h"`
`#include "ace/os_include/os_signal.h"`
`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_signal.inl"`

Include dependency graph for OS_NS_signal.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | ACE_OS
## Classes
struct | siginfo_t
## A set of wrappers for Signals.
ACE_NAMESPACE_INLINE_FUNCTION int | kill (pid_t pid, int signum)
ACE_NAMESPACE_INLINE_FUNCTION int | pthread_sigmask (int how, const sigset_t *nsp, sigset_t *osp)
ACE_NAMESPACE_INLINE_FUNCTION int | sigaction (int signum, const ACE_SIGACTION *nsa, ACE_SIGACTION *osa)
ACE_NAMESPACE_INLINE_FUNCTION int | sigaddset (sigset_t *s, int signum)
ACE_NAMESPACE_INLINE_FUNCTION int | sigdelset (sigset_t *s, int signum)
ACE_NAMESPACE_INLINE_FUNCTION int | sigemptyset (sigset_t *s)
ACE_NAMESPACE_INLINE_FUNCTION int | sigfillset (sigset_t *s)
ACE_NAMESPACE_INLINE_FUNCTION int | sigismember (sigset_t *s, int signum)
ACE_NAMESPACE_INLINE_FUNCTION ACE_SignalHandler | signal (int signum, ACE_SignalHandler)
ACE_NAMESPACE_INLINE_FUNCTION int | sigprocmask (int how, const sigset_t *nsp, sigset_t *osp)
ACE_NAMESPACE_INLINE_FUNCTION int | sigsuspend (const sigset_t *set)
## Defines
#define | ACE_EXPORT_MACRO ACE_Export
#define | SIG_BLOCK 1
#define | SIG_UNBLOCK 2
#define | SIG_SETMASK 3
#define | ACE_INLINE inline
## Variables
typedefACE_BEGIN_VERSIONED_NAMESPACE_DECL struct sigaction | ACE_SIGACTION

## Detailed Description

Id
  OS_NS_signal.h,v 1.12 2006/01/23 22:20:25 shuston Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Jesper S. M|ller<stophph@diku.dk>

  and a cast of thousands...

Originally in OS.h.

## Define Documentation

#define ACE_EXPORT_MACRO ACE_Export

#define ACE_INLINE inline

#define SIG_BLOCK 1

#define SIG_SETMASK 3

#define SIG_UNBLOCK 2

## Function Documentation

ACE_INLINE int ACE_OS::kill | ( | pid_t | pid,
|  | int | signum
| ) |

ACE_INLINE int ACE_OS::pthread_sigmask | ( | int | how,
|  | const sigset_t * | nsp,
|  | sigset_t * | osp
| ) |

ACE_INLINE int ACE_OS::sigaction | ( | int | signum,
|  | const ACE_SIGACTION * | nsa,
|  | ACE_SIGACTION * | osa
| ) |

ACE_INLINE int ACE_OS::sigaddset | ( | sigset_t * | s,
|  | int | signum
| ) |

ACE_INLINE int ACE_OS::sigdelset | ( | sigset_t * | s,
|  | int | signum
| ) |

ACE_INLINE int ACE_OS::sigemptyset | ( | sigset_t * | s | ) |

ACE_INLINE int ACE_OS::sigfillset | ( | sigset_t * | s | ) |

ACE_INLINE int ACE_OS::sigismember | ( | sigset_t * | s,
|  | int | signum
| ) |

ACE_INLINE ACE_SignalHandler ACE_OS::signal | ( | int | signum,
|  | ACE_SignalHandler |
| ) |

ACE_INLINE int ACE_OS::sigprocmask | ( | int | how,
|  | const sigset_t * | nsp,
|  | sigset_t * | osp
| ) |

ACE_INLINE int ACE_OS::sigsuspend | ( | const sigset_t * | set | ) |

## Variable Documentation

typedefACE_BEGIN_VERSIONED_NAMESPACE_DECL struct sigaction ACE_SIGACTION